"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const files_1 = require("../utils/files");
const getIndexLocation_1 = __importDefault(require("./utils/getIndexLocation"));
const getAppLocation_1 = __importDefault(require("./utils/getAppLocation"));
const helperFunc = (ctx, env) => __awaiter(void 0, void 0, void 0, function* () {
    const indexLocation = (0, getIndexLocation_1.default)(ctx);
    const appLocation = (0, getAppLocation_1.default)(ctx);
    const files = [
        {
            path: `${__dirname}/utils/getReadMe`,
            type: "exec",
            to: `${ctx.userDir}/README.MD`,
            pass: env,
        },
    ];
    if (indexLocation) {
        files.push({
            path: indexLocation,
            type: "copy",
            to: `${ctx.userDir}/src/routes/index.tsx`,
        });
    }
    if (appLocation) {
        files.push({
            path: appLocation,
            type: "copy",
            to: `${ctx.userDir}/src/app.tsx`,
        });
    }
    yield (0, files_1.execFiles)(files, ctx);
});
exports.default = helperFunc;
