"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.modifyConfigIfNeeded = exports.getViteConfig = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const getViteConfig = (ctx) => {
    const usePrisma = ctx.installers.includes("Prisma");
    return `import { defineConfig } from '@solidjs/start/config'${ctx.vercel ? `\nimport vercel from "solid-start-vercel";` : ""}
  
export default defineConfig({
  start: {
    ssr: true,${usePrisma ? `\n    ssr: { external: ["@prisma/client"] },` : ""}${ctx.vercel
        ? `\n    server: {
      preset: 'vercel',
    },`
        : ""}
  },
})
  `;
};
exports.getViteConfig = getViteConfig;
const modifyConfigIfNeeded = (ctx) => __awaiter(void 0, void 0, void 0, function* () {
    if (ctx.vercel || ctx.installers.includes("Prisma")) {
        yield fs_extra_1.default.writeFile(path_1.default.join(ctx.userDir, "vite.config.ts"), (0, exports.getViteConfig)(ctx));
    }
});
exports.modifyConfigIfNeeded = modifyConfigIfNeeded;
