#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const project = __importStar(require("./utils/project"));
const helpers_1 = require("./utils/helpers");
const chalk_1 = __importDefault(require("chalk"));
const installer_1 = __importStar(require("./helpers/installer"));
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        const args = process.argv
            .slice(2)
            .filter((arg) => arg.startsWith("--"))
            .map((arg) => arg.slice(2).toLowerCase());
        const appCtx = yield project.initApp(args);
        yield project.copyTemplate(appCtx);
        const ctx = yield (0, installer_1.getCtxWithInstallers)(appCtx, args);
        const [scripts, deps, env, commands] = yield (0, installer_1.default)(ctx);
        yield project.modifyProject(ctx, deps, scripts, env);
        yield project.installDeps(ctx);
        yield project.runCommands(appCtx, commands);
        project.finished(ctx);
    });
}
main()
    .catch((e) => {
    console.log(`\n ${chalk_1.default.blue("Something went wrong:")} ${chalk_1.default.red((0, helpers_1.formatError)(e))}\n`);
    process.exit(1);
});
