"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const packages_1 = require("../../helpers/packages");
const config = (ctx) => ({
    files: [
        {
            path: `${ctx.templateDir}/trpc/server`,
            to: `${ctx.userDir}/src/server/trpc`,
            sep: true,
        },
        {
            path: `${__dirname}/files/ssr-utils.txt`,
            to: `${ctx.userDir}/src/utils/trpc.ts`,
        },
        {
            path: `${ctx.templateDir}/trpc/api`,
            to: `${ctx.userDir}/src/routes/api/trpc`,
        },
        {
            path: `${__dirname}/utils/getTrpcUtils`,
            to: `${ctx.userDir}/src/server/trpc/utils.ts`,
            type: "exec",
        },
        {
            path: `${__dirname}/utils/getTrpcContext`,
            to: `${ctx.userDir}/src/server/trpc/context.ts`,
            type: "exec",
        },
        {
            path: `${__dirname}/utils/getMainRouter`,
            to: `${ctx.userDir}/src/server/trpc/router/example.ts`,
            type: "exec",
        },
    ],
    pkgs: (0, packages_1.withPackages)({
        normal: [
            "@solid-mediakit/trpc",
            "@tanstack/solid-query",
            "@trpc/client",
            "@trpc/server",
        ],
    }),
});
exports.default = config;
