"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getTrpcContext = (ctx) => {
    const usePrisma = ctx.installers.includes("Prisma");
    const useNextAuth = ctx.installers.includes("AuthJS");
    return `import type { inferAsyncReturnType } from "@trpc/server";
import type { createSolidAPIHandlerContext } from "@solid-mediakit/trpc/handler";${usePrisma ? `\nimport { prisma } from "~/server/db";` : ""}${useNextAuth
        ? `\nimport { getSession } from "@solid-mediakit/auth";\nimport { authOptions } from "../auth";`
        : ""}

export const createContextInner = async (
  opts: createSolidAPIHandlerContext
) => {${useNextAuth
        ? `\n  const session = await getSession(opts.req, authOptions);`
        : ""}
  return {
    ...opts,${usePrisma ? `\n    prisma,` : ""}${useNextAuth ? `\n    session,` : ""}
  };
};

export const createContext = async (opts: createSolidAPIHandlerContext) => {
  return await createContextInner(opts);
};

export type IContext = inferAsyncReturnType<typeof createContext>;
`;
};
exports.default = getTrpcContext;
