"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.overWriteFile = exports.existsOrCreate = exports.execFiles = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const ora_1 = __importDefault(require("ora"));
const helpers_1 = require("./helpers");
function execFiles(files, ctx) {
    return __awaiter(this, void 0, void 0, function* () {
        const actualFiles = files.filter((f) => f !== undefined);
        // `sep` files are parent files, so they should be executed first ro resolve conflicts
        for (const file of actualFiles.filter((e) => e.sep)) {
            yield execFile(file, ctx);
        }
        yield Promise.all(actualFiles
            .filter((e) => !e.sep)
            .map((file) => __awaiter(this, void 0, void 0, function* () {
            yield execFile(file, ctx);
        })));
    });
}
exports.execFiles = execFiles;
function execFile(file, ctx) {
    return __awaiter(this, void 0, void 0, function* () {
        var _a;
        if (file.type && file.type !== "copy") {
            if (file.type === "exec") {
                if (!file.path) {
                    return;
                }
                const method = yield (_a = file.path, Promise.resolve().then(() => __importStar(require(_a))));
                yield fs_extra_1.default.outputFile(file.to, method.default(ctx, file.pass));
            }
            else if (file.type === "delete") {
                yield fs_extra_1.default.remove(file.to);
            }
            else if (file.type === "write") {
                yield fs_extra_1.default.outputFile(file.to, file.content);
            }
            else if (file.type === "append") {
                yield fs_extra_1.default.appendFile(file.to, file.content);
            }
        }
        else {
            if (!file.path) {
                return;
            }
            yield fs_extra_1.default.copy(file.path, file.to);
        }
    });
}
function existsOrCreate(path) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            yield fs_extra_1.default.access(path);
            return true;
        }
        catch (_a) {
            yield fs_extra_1.default.mkdir(path);
        }
        return false;
    });
}
exports.existsOrCreate = existsOrCreate;
function overWriteFile(userDir) {
    return __awaiter(this, void 0, void 0, function* () {
        const spinner = (0, ora_1.default)("Emptying directory").start();
        try {
            yield fs_extra_1.default.emptyDir(userDir);
            spinner.succeed("Emptied directory");
        }
        catch (e) {
            spinner.fail(`Couldn't empty directory: ${(0, helpers_1.formatError)(e)}`);
        }
    });
}
exports.overWriteFile = overWriteFile;
